Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports System.IO

Partial Public Class _Default
	Inherits System.Web.UI.Page

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
		Result.Text = ""
	End Sub
	Protected Sub Button1_Click(ByVal sender As Object, ByVal e As EventArgs)
		If FileUpload1.PostedFile.FileName.Length = 0 OrElse FileUpload1.FileBytes.Length=0 Then
			Result.Text = "Please select RTF or Text file before start converting!"
			Return
		End If
		Result.Text = "Converting ..."

		Dim r As New SautinSoft.RtfToHtml()
		r.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_401
		r.ImageStyle.IncludeImageInHtml = False 'To save images inside HTML as binary data specify this property to 'true'

		r.ImageStyle.ImageFolder = Server.MapPath("")
		r.ImageStyle.ImageSubFolder = "images"
		r.ImageStyle.ImageFileName = "picture"


		Dim html As String = ""
		Dim rtf As String = ByteToString(FileUpload1.FileBytes)

		html = r.ConvertString(rtf)

		'show HTML
		If html.Length>0 Then
			Response.Buffer = True
			Response.Clear()
			Response.ContentType = "text/html"
			Response.Write(html)
			Response.Flush()
			Response.End()
		Else
			Result.Text = "Converting failed!"
		End If
	End Sub
	Private Function ByteToString(ByVal b() As Byte) As String
		Dim encoding As New System.Text.ASCIIEncoding()
		Return encoding.GetString(b)
	End Function

End Class
